Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.diagnostics.watch
Class WatchNotification

    java.lang.Object
      weblogic.diagnostics.watch.WatchNotification

All Implemented Interfaces:
  Serializable

public class WatchNotification
extends Object
implements Serializable

This class defines a notification for a watch rule. When a watch rule evaluates to `true`, the notification is invoked. The WatchManager creates an instance of this class and invokes the notification listeners passing the WatchNotification.

The WatchNotification class contains information about the watch, including the watch name, the expression, the time the watch was evaluated, etc.

See Also:
  Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`String` | `getMessage()` Gets the descriptive message.
`String` | `getWatchAlarmResetPeriod()` Gets the alarm reset period.
`String` | `getWatchAlarmType()` Gets the alarm type (none, manual reset, automatic reset).
`String` | `getWatchDataToString()` Gets the event data that caused the watch to fire represented as a string.
`String` | `getWatchDomainName()` Gets the domain of the watch.
`String` | `getWatchName()` Gets the name of the watch that evaluated to `true`.
`String` | `getWatchRule()` Gets the watch rule expression.
`String` | `getWatchRuleType()` Gets the watch type, either harvester or event.
`String` | `getWatchServerName()` Gets the server on which the watch evaluated to true.
`String` | `getWatchSeverityLevel()` Gets the severity of the watch (logging severity).
`String` | `getWatchTime()` Gets the time that the watch was evaluated (in milliseconds).
`String` | `toString()` Returns a string representation of the watch.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getMessage

    public String getMessage()

  Gets the descriptive message.

  Returns:
    the descriptive message

### getWatchAlarmResetPeriod

    public String getWatchAlarmResetPeriod()

  Gets the alarm reset period. After this period elaspes, the alarm is reset, applicable when alarm is of AutomaticReset type.

  Returns:
    the alarm reset period

### getWatchAlarmType

    public String getWatchAlarmType()

  Gets the alarm type (none, manual reset, automatic reset).

  Returns:
    the alarm type (none, manual reset, automatic reset)

### getWatchDataToString

    public String getWatchDataToString()

  Gets the event data that caused the watch to fire represented as a string.

  Returns:

### getWatchDomainName

    public String getWatchDomainName()

  Gets the domain of the watch.

  Returns:
    the domain of the watch

### getWatchName

    public String getWatchName()

  Gets the name of the watch that evaluated to `true`.

  Returns:
    the name of the watch that evaluated to `true`

### getWatchRule

    public String getWatchRule()

  Gets the watch rule expression.

  Returns:
    the watch rule expression

### getWatchRuleType

    public String getWatchRuleType()

  Gets the watch type, either harvester or event.

  Returns:
    the watch type, either harvester or event

### getWatchServerName

    public String getWatchServerName()

  Gets the server on which the watch evaluated to true.

  Returns:
    the server on which the watch evaluated to `true`

### getWatchSeverityLevel

    public String getWatchSeverityLevel()

  Gets the severity of the watch (logging severity).

  Returns:
    the severity of the watch (logging severity)

### getWatchTime

    public String getWatchTime()

  Gets the time that the watch was evaluated (in milliseconds).

  Returns:
    the time that the watch was evaluated (in milliseconds)

### toString

    public String toString()

  Returns a string representation of the watch.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD